You are not logged in.

#1 2012-03-28 13:39:40

.:B:.
Forum Fellow
Registered: 2006-11-26
Posts: 5,819

[Solved] Pacman unable to look up keys remotely

My [testing] install has been running pacman 4 ever since Allan put a provisional package up for testing (outside the [testing] repo). The key verification worked okay.

However, I am not able to upgrade any more packages it seems, due to pacman being unable to look up the keys online. I don't know if the gnupg 2 move has anything to do with it. I already tried changing the key server in /etc/pacman.d/gnupg/gpg.conf from the default one to the MIT one (which seems to be a lot more responsive). That doesn't help any.

This is what pacman spits out:

error: libnfs: key "DB323392796CA067" is unknown
error: key "DB323392796CA067" could not be looked up remotely
error: afpfs-ng: key "DB323392796CA067" is unknown
error: key "DB323392796CA067" could not be looked up remotely
error: libshairport: key "DB323392796CA067" is unknown
error: key "DB323392796CA067" could not be looked up remotely
error: xbmc: key "DB323392796CA067" is unknown
error: key "DB323392796CA067" could not be looked up remotely
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

Curiously, all those packages are xbmc 11.0 and its new dependencies. It's just one key. I ran pacman-key -u and it says there is no need for updating (I may be misled about the purpose of the -u option though tongue).

Any pointers?

Last edited by .:B:. (2012-03-28 14:16:38)


Got Leenucks? :: Arch: Power in simplicity :: Get Counted! Registered Linux User #392717 :: Blog thingy

Offline

#2 2012-03-28 14:10:46

mcmillan
Member
Registered: 2006-04-06
Posts: 690

Offline

#3 2012-03-28 14:16:04

.:B:.
Forum Fellow
Registered: 2006-11-26
Posts: 5,819

Re: [Solved] Pacman unable to look up keys remotely

Thanks.

Too bad there was nothing about that on the general dev ML, or I must have overlooked it. I have followed the discussion about dropping the gnupg 1.4 branch, but no mention whatsoever of this breakage that the patch mentioned in the dev ML will fix.

Last edited by .:B:. (2012-03-28 14:21:46)


Got Leenucks? :: Arch: Power in simplicity :: Get Counted! Registered Linux User #392717 :: Blog thingy

Offline

Board footer

Powered by FluxBB